##shop
execute as @a[tag=traitor,tag=player] run function during:shop/traitor
execute as @a[team=Detective,tag=player] run function during:shop/detective

##items in shop
execute as @a[predicate=during:escape_kit] run effect clear @s glowing
execute as @a[predicate=during:escape_kit,tag=traitor] run effect clear @s blindness
execute as @a[predicate=during:escape_kit,tag=!traitor] run effect clear @s invisibility
execute as @a[scores={Gapple=1..}] run function during:shop/gapple
data merge entity @e[type=arrow,nbt={CustomPotionEffects:[{ShowParticles:1b}]},limit=1] {pickup:0b}
function during:creeper/main

##arrow shards
function during:arrow/spawn
execute as @a[tag=player,tag=!dead] run function during:arrow/give


##player 
execute as @a[scores={TridentDrop=1..}] at @s run function during:trident_drop
execute as @a[scores={BowDrop=1..},tag=traitor] at @s run function during:tbow_drop
execute as @a[scores={BowDrop=1..},tag=!traitor] at @s run function during:ibow_drop
execute as @e[type=arrow,nbt={crit:1b}] run data modify entity @s crit set value 0b

function during:player/actionbar
execute as @a[tag=traitor,tag=!dead] at @s run particle minecraft:dust 1.000 0.000 0.000 1 ~ ~2.4 ~ 0 0 0 0.2 1 force @a[tag=traitor,distance=0.1..]

execute as @a[scores={Death=1..},tag=player] run function during:player/die
tag @a remove hurt

##join
execute as @a[tag=!joined] run function during:player/join
execute as @a[scores={Disconnect=1..}] run function during:player/join


##spectator and lobby
execute as @a[tag=spectator] run function during:player/spectate
execute as @a[tag=lobby] run function during:player/lobby


##maps
execute if score map Stats matches 1 run function during:maps/alley/alley
execute if score map Stats matches 2 run function during:maps/blackout/blackout
#execute if score map Stats matches 3 run function during:maps/museum
execute if score map Stats matches 4 run function during:maps/seasons/seasons
execute if score map Stats matches 5 run function during:maps/winterhelm/winterhelm
execute if score map Stats matches 100 run function during:maps/stairs/stairs


##timer
execute if score during Tmr matches 1.. run scoreboard players add during Tmr 1
execute if score during Tmr matches 40 run function during:schedule/trident3
execute if score during Tmr matches 60 run function during:schedule/trident2
execute if score during Tmr matches 80 run function during:schedule/trident1
execute if score during Tmr matches 100 as @a[tag=traitor,tag=player] run function during:schedule/trident_give
execute if score during Tmr matches 3000 run function during:schedule/glow_tell
execute if score during Tmr matches 3600 run function during:schedule/glow
execute if score during Tmr matches 4200 run function during:schedule/end_30
execute if score during Tmr matches 4600 run function during:schedule/end_10
execute if score during Tmr matches 4700 run function during:schedule/end_5
execute if score during Tmr matches 4720 run function during:schedule/end_4
execute if score during Tmr matches 4740 run function during:schedule/end_3
execute if score during Tmr matches 4760 run function during:schedule/end_2
execute if score during Tmr matches 4780 run function during:schedule/end_1
execute if score during Tmr matches 4800 run function end:start/draw


##end
execute if score gamestate Stats matches 3 unless entity @a[tag=player,tag=!traitor,tag=!dead] run function end:start/traitor_win
execute if score gamestate Stats matches 3 unless entity @a[tag=player,tag=traitor,tag=!dead] run function end:start/innocent_win


